<?php
/*****************************************************************

		Project: tngIL - TNG & e107 Integrated Login
		Filename: tngIL.php
		Author: Nichols B. Flint, http://www.flintfamilyhistory.com
		
		Description: This is the main integration page. First find
		the currently logged in user, check to see if they have 
		an account in TNG; if not create one. Then pass the needed
		info to TNG.
		
*****************************************************************/
$istngfile="yes";
require_once("../../class2.php");
require_once(HEADERF);
include("tngconfig.php");
include("emailconfig.php");
include("classesconfig.php");


//This will determine the current user that is logged into e107. We get the username to query the TNG db next.
if(USER){
	$userid = USERID;
	$sql->db_Select("user", "*", "user_id=$userid");
	$row = $sql->db_Fetch();
	$username = $row['user_loginname'];
	$realname = $row['user_name'];
	$email = $row['user_email'];
	$userpass = $row['user_password'];

//determine appropriate setting for the user based on e107 class
if(check_class($fclassname, $userclass=USERCLASS)){ //TNG permissions for first class

	$fclassname_def_pass = md5( $fclassname_def_pass );

	$def_desc = 		$fclassname_def_desc;
	$def_pass = 		$fclassname_def_pass;
	$allow_edit = 		$fclassname_allow_edit;
	$allow_add = 		$fclassname_allow_add;
	$tentative_edit =	$fclassname_tentative_edit;
	$allow_delete = 	$fclassname_allow_delete;
	$allow_living =		$fclassname_allow_living;
	$allow_ged =		$fclassname_allow_ged;
	$allow_lds =		$fclassname_allow_lds;
	$def_tree =			$fclassname_def_tree;
	$def_branch =		$fclassname_def_branch;
	$def_notes = 		$fclassname_def_notes;

} else if(check_class($sclassname, $userclass=USERCLASS)){//TNG permissions for second class

	$sclassname_def_pass = md5( $sclassname_def_pass );
  
	$def_desc = 		$sclassname_def_desc;
	$def_pass = 		$sclassname_def_pass;
	$allow_edit = 		$sclassname_allow_edit;
	$allow_add = 		$sclassname_allow_add;
	$tentative_edit =	$sclassname_tentative_edit;
	$allow_delete = 	$sclassname_allow_delete;
	$allow_living =		$sclassname_allow_living;
	$allow_ged =		$sclassname_allow_ged;
	$allow_lds =		$sclassname_allow_lds;
	$def_tree =			$sclassname_def_tree;
	$def_branch =		$sclassname_def_branch;
	$def_notes = 		$sclassname_def_notes;
	
} else if(check_class($tclassname, $userclass=USERCLASS)){//TNG permissions for third class

	$tclassname_def_pass = md5( $tclassname_def_pass );
  
  	$def_desc = 		$tclassname_def_desc;
	$def_pass = 		$tclassname_def_pass;
	$allow_edit = 		$tclassname_allow_edit;
	$allow_add = 		$tclassname_allow_add;
	$tentative_edit =	$tclassname_tentative_edit;
	$allow_delete = 	$tclassname_allow_delete;
	$allow_living =		$tclassname_allow_living;
	$allow_ged =		$tclassname_allow_ged;
	$allow_lds =		$tclassname_allow_lds;
	$def_tree =			$tclassname_def_tree;
	$def_branch =		$tclassname_def_branch;
	$def_notes = 		$tclassname_def_notes;
	
} else { //TNG permissions if user is not assigned to one of the tngIL classes

	$dclassname_def_pass = md5( $dclassname_def_pass );

	$def_desc = 		$dclassname_def_desc;
	$def_pass = 		$dclassname_def_pass;
	$allow_edit = 		$dclassname_allow_edit;
	$allow_add = 		$dclassname_allow_add;
	$tentative_edit =	$dclassname_tentative_edit;
	$allow_delete = 	$dclassname_allow_delete;
	$allow_living =		$dclassname_allow_living;
	$allow_ged =		$dclassname_allow_ged;
	$allow_lds =		$dclassname_allow_lds;
	$def_tree =			$dclassname_def_tree;
	$def_branch =		$dclassname_def_branch;
	$def_notes = 		$dclassname_def_notes;

}
	
	
	
} else {
  	//If the current user is not logged in to e107 we want them to be logged into TNG as a guest. The guest account will be created only with rights to suggest edits.        
  	$username = $gusername;
	$email = $gemail;
	$realname = $grealname;
	
	$gclassname_def_pass = md5( $gclassname_def_pass );
	
	$def_desc = 		$gclassname_def_desc;
	$def_pass = 		$gclassname_def_pass;
	$allow_edit = 		$gclassname_allow_edit;
	$allow_add = 		$gclassname_allow_add;
	$tentative_edit =	$gclassname_tentative_edit;
	$allow_delete = 	$gclassname_allow_delete;
	$allow_living =		$gclassname_allow_living;
	$allow_ged =		$gclassname_allow_ged;
	$allow_lds =		$gclassname_allow_lds;
	$def_tree =			$gclassname_def_tree;
	$def_branch =		$gclassname_def_branch;
	$def_notes = 		$gclassname_def_notes;
} //end current user check


//query the TNG db to determine whether the current e107 user is registered as a TNG user. If they are, log them in. If the aren't, register them then redirect back to this file.
$dbh=mysql_connect ("$tng_dbhost", "$tng_dbuser", "$tng_dbpass") or die ('I cannot connect to the database because: ' . mysql_error());
mysql_select_db ("$tng_dbname"); 

$query="SELECT * FROM $tng_usertab WHERE username='$username'";
$result=mysql_query($query); 
$num=mysql_affected_rows();
	
if($num == 1){ //the user is registered in TNG
	  
	$sql2 = "UPDATE $tng_usertab SET description = '$def_desc', gedcom = '$def_tree', allow_edit = '$allow_edit', allow_add = '$allow_add', tentative_edit = '$tentative_edit', allow_delete = '$allow_delete', allow_lds = '$allow_lds', allow_ged = '$allow_ged', allow_living = '$allow_living', branch = '$def_branch', realname = '$realname', email = '$email', password = '$userpass' WHERE username = '$username'";
	
	$result2 = @mysql_query($sql2);
	
	$password=$userpass;
	
} else { // the user is not registered in TNG

	//encode the default password to be inserted into the db table	
	$tng_password2 = $userpass;

	//register the user in TNG

	$sql = "INSERT IGNORE INTO $tng_usertab (description,username,password,gedcom,allow_edit,allow_add,tentative_edit,allow_delete,allow_lds,allow_ged,allow_living,branch,realname,email,notes) VALUES (\"$def_desc\", \"$username\", \"$tng_password2\", \"$def_tree\", \"$allow_edit\", \"$allow_add\", \"$tentative_edit\", \"$allow_delete\", \"$allow_lds\", \"$allow_ged\", \"$allow_living\", \"$def_branch\", \"$realname\", \"$email\", \"$def_notes\")";

	mysql_query($sql);


//If the administrator has selected to recieve notice when tngIL registers a new user, create then send the e-mail.
if ($send_email == "Yes"){

	$email[0] = $admin_email;
	//$email[1] = ""; //additional email address can be added.
		
	foreach($email as $i){
				$body = "The e107 user, "; 
				$body .= $username;
				$body .= ", has been registered for TNG through TNG Integrated Login.\n\n";
				$body .= "If any permissions need to be changed from the default tngIL settings please log into TNG now to do so.";
				$body .= "\n\n";
				

				
				mail($i, "$email_sub", $body, "From: $sys_email");
	}// end foreach($email as $i)
	
} //end send email if	

	//redirect back to this page after registering the user
	header("location: $e107_dir/e107_plugins/tngIL/tngIL.php");
	exit;
} // end if($num == 1)
	
mysql_close();
	
//This is to cause a redirect after loggin
	if(isset($_POST[srchmnu]) && $_POST[srchmnu]== 'on'){//if search form is used
	  session_start();
	  $dest = $_GET[dest];
	  $last = $_POST[mylastname];
	  $first = $_POST[myfirstname];
	  $mybool = $_POST[mybool];
	  
	  $HTTP_SESSION_VARS[destinationpage] ="$tng_dir/$dest?mylastname=$last&myfirstname=$first&mybool=$mybool";
	  
	} else if(isset($_GET[phtmnu]) && $_GET[phtmnu] == 'on'){//if photo menu is used
	  session_start();
	  $dest = $_GET[dest];
	  $photoID = $_GET[photoID];
	  $phototype = $_GET[showdocs];
	  
	$HTTP_SESSION_VARS[destinationpage] ="$tng_dir/$dest?photoID=$photoID&showdocs=$phototype";
	
	} else if(isset($_GET[evntmnua]) && $_GET[evntmnua] == 'on'){//if event menu is used for person
		session_start();
		$dest = $_GET[dest];
		$personID = $_GET[personID];
		$tree = $_GET[tree];
	
		$HTTP_SESSION_VARS[destinationpage] ="$tng_dir/$dest?personID=$personID&tree=$tree";

	} else if(isset($_GET[evntmnub]) && $_GET[evntmnub] == 'on'){//if event menu is used for anniversaries
		session_start();
		$dest = $_GET[dest];
		$familyID = $_GET[familyID];
		$tree = $_GET[tree];
	
		$HTTP_SESSION_VARS[destinationpage] ="$tng_dir/$dest?familyID=$familyID&tree=$tree";
		
	} else if(isset($_GET[page]) && $_GET[page] == 'on'){//if event menu is used for anniversaries
		session_start();
		$dest = $_GET[dest];
	
		$HTTP_SESSION_VARS[destinationpage] ="$tng_dir/$dest";

	} else {//take it to the index
	  session_start();
	  $dest = "index.php";
	  unset($HTTP_SESSION_VARS[destinationpage]);
	  
	}
	
//Pass the username and password to TNG
header("location: $tng_dir/processlogin.php?tngusername=$username&tngpassword=$password&encrypted=TRUE");


//include the footer
require_once(FOOTERF);
?>